#include <iostream.h>
#include "apvector.h"
#include "apstring.h"

enum WeekDay {
	Sunday, Monday, Tuesday, Wednesday,
	Thursday, Friday, Saturday
};

enum Color {
	red, orange, yellow, green,
	blue, indigo, violet
};

template <class EnumKind>
EnumKind succ(EnumKind t)
// precondition: EnumKind should be an enum
// postcondition: return successor of enum t
{
	return EnumKind(int(t) + 1);
}


int main()
{
	WeekDay k;
	apvector<double> temps(7,90.5);
	apvector<apstring> colors(7,"plaid");
	
	
	colors[red] = "red";
	colors[orange] = "orange";
	colors[violet] = "violet";
	
	temps[Tuesday] = 45.5;
	
	for(k=Sunday; k <= Saturday; k = succ(k))
	{
		cout << temps[k] << endl;
	}
	
	Color j;
	for(j=red; j <= violet; j = succ(j))
	{
		cout << j << " " << colors[j] << endl;
	}
		
	return 0;
}