#ifndef _ALPHABET_H
#define _ALPHABET_H

#include <iostream.h>
#include "apstring.h"
#include "apvector.h"

class Alphabet
{
  public:
    Alphabet();
    
    bool IsLetterUsed(char ch)     const;
    void Print(ostream & output)   const;
    
    void ProcessLetter(char ch);
    void Reset();                // no letter used
    
  private:
    const int ALPH_SIZE;
    apvector<bool> myList;
};

#endif