#ifndef _GALLOWS_H
#define _GALLOWS_H

#include <iostream.h>

class Gallows
{
  public:
    enum Level{easy, medium, hard};
    
    Gallows();
    void Reset(Level lev);
    void AddPart();
    void Display(ostream & output) const;
    bool IsHung()                  const;
    
  private:
  
    Level myLevel;
    int   myMaxMisses;   // # misses allowed
    int   myMisses;      // # misses currently
  
};

#endif